SeExpr

Public Slots | Signals | Public Member Functions | Public Attributes | Private Attributes | List of all members
ExprDeepWater Class Reference

`#include <ExprDeepWater.h>`

Inheritance diagram for ExprDeepWater:

## Public Slots
void | resolutionChanged ()
void | tileSizeChanged ()
void | lengthCutoffChanged ()
void | amplitudeChanged ()
void | windAngleChanged ()
void | windSpeedChanged ()
void | flowDirectionChanged ()
void | directionalFactorExponentChanged ()
void | directionalReflectionDampingChanged ()
void | sharpenChanged ()

## Signals
void | resolutionChangedSignal (int val)
void | tileSizeChangedSignal (double val)
void | lengthCutoffChangedSignal (double val)
void | amplitudeChangedSignal (double val)
void | windAngleChangedSignal (double val)
void | windSpeedChangedSignal (double val)
void | flowDirectionChangedSignal (QString val)
void | directionalFactorExponentChangedSignal (double val)
void | directionalReflectionDampingChangedSignal (double val)
void | sharpenChangedSignal (double val)

## Public Member Functions
| ExprDeepWater (QWidget *parent=0)
| ~ExprDeepWater ()
void | setParams (const SeDeepWaterParams &params)

## Public Attributes
DeepWaterScene * | _scene

## Private Attributes
DeepWaterLineEdit * | _resolutionEdit
DeepWaterLineEdit * | _tileSizeEdit
DeepWaterLineEdit * | _lengthCutoffEdit
DeepWaterLineEdit * | _amplitudeEdit
DeepWaterLineEdit * | _windAngleEdit
DeepWaterLineEdit * | _windSpeedEdit
DeepWaterLineEdit * | _flowDirectionEdit
DeepWaterLineEdit * | _directionalFactorExponentEdit
DeepWaterLineEdit * | _directionalReflectionDampingEdit
DeepWaterLineEdit * | _sharpenEdit

## Detailed Description

Definition at line 248 of file ExprDeepWater.h.

## Constructor & Destructor Documentation

## ◆ ExprDeepWater()

ExprDeepWater::ExprDeepWater | ( | QWidget * | parent = `0` | ) |

Definition at line 165 of file ExprDeepWater.cpp.

References _amplitudeEdit, _directionalFactorExponentEdit, _directionalReflectionDampingEdit, _flowDirectionEdit, _lengthCutoffEdit, _resolutionEdit, _scene, _sharpenEdit, _tileSizeEdit, _windAngleEdit, _windSpeedEdit, amplitudeChanged(), amplitudeChangedSignal(), directionalFactorExponentChanged(), directionalFactorExponentChangedSignal(), directionalReflectionDampingChanged(), directionalReflectionDampingChangedSignal(), flowDirectionChanged(), flowDirectionChangedSignal(), lengthCutoffChanged(), lengthCutoffChangedSignal(), resolutionChanged(), resolutionChangedSignal(), sharpenChanged(), sharpenChangedSignal(), tileSizeChanged(), tileSizeChangedSignal(), windAngleChanged(), windAngleChangedSignal(), windSpeedChanged(), and windSpeedChangedSignal().

## ◆ ~ExprDeepWater()

ExprDeepWater::~ExprDeepWater | ( |  | ) |
| inline

Definition at line 252 of file ExprDeepWater.h.

## Member Function Documentation

## ◆ amplitudeChanged

void ExprDeepWater::amplitudeChanged | ( |  | ) |
| slot

Definition at line 424 of file ExprDeepWater.cpp.

References _amplitudeEdit, and amplitudeChangedSignal().

Referenced by ExprDeepWater().

## ◆ amplitudeChangedSignal

void ExprDeepWater::amplitudeChangedSignal | ( | double | val | ) |
| signal

Referenced by amplitudeChanged(), and ExprDeepWater().

## ◆ directionalFactorExponentChanged

void ExprDeepWater::directionalFactorExponentChanged | ( |  | ) |
| slot

Definition at line 441 of file ExprDeepWater.cpp.

References _directionalFactorExponentEdit, and directionalFactorExponentChangedSignal().

Referenced by ExprDeepWater().

## ◆ directionalFactorExponentChangedSignal

void ExprDeepWater::directionalFactorExponentChangedSignal | ( | double | val | ) |
| signal

Referenced by directionalFactorExponentChanged(), and ExprDeepWater().

## ◆ directionalReflectionDampingChanged

void ExprDeepWater::directionalReflectionDampingChanged | ( |  | ) |
| slot

Definition at line 446 of file ExprDeepWater.cpp.

References _directionalReflectionDampingEdit, and directionalReflectionDampingChangedSignal().

Referenced by ExprDeepWater().

## ◆ directionalReflectionDampingChangedSignal

void ExprDeepWater::directionalReflectionDampingChangedSignal | ( | double | val | ) |
| signal

Referenced by directionalReflectionDampingChanged(), and ExprDeepWater().

## ◆ flowDirectionChanged

void ExprDeepWater::flowDirectionChanged | ( |  | ) |
| slot

Definition at line 439 of file ExprDeepWater.cpp.

References _flowDirectionEdit, and flowDirectionChangedSignal().

Referenced by ExprDeepWater().

## ◆ flowDirectionChangedSignal

void ExprDeepWater::flowDirectionChangedSignal | ( | QString | val | ) |
| signal

Referenced by ExprDeepWater(), and flowDirectionChanged().

## ◆ lengthCutoffChanged

void ExprDeepWater::lengthCutoffChanged | ( |  | ) |
| slot

Definition at line 419 of file ExprDeepWater.cpp.

References _lengthCutoffEdit, and lengthCutoffChangedSignal().

Referenced by ExprDeepWater().

## ◆ lengthCutoffChangedSignal

void ExprDeepWater::lengthCutoffChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprDeepWater(), and lengthCutoffChanged().

## ◆ resolutionChanged

void ExprDeepWater::resolutionChanged | ( |  | ) |
| slot

Definition at line 409 of file ExprDeepWater.cpp.

References _resolutionEdit, and resolutionChangedSignal().

Referenced by ExprDeepWater().

## ◆ resolutionChangedSignal

void ExprDeepWater::resolutionChangedSignal | ( | int | val | ) |
| signal

Referenced by ExprDeepWater(), and resolutionChanged().

## ◆ setParams()

void ExprDeepWater::setParams | ( | const SeDeepWaterParams & | params | ) |

Definition at line 456 of file ExprDeepWater.cpp.

References _amplitudeEdit, _directionalFactorExponentEdit, _directionalReflectionDampingEdit, _flowDirectionEdit, _lengthCutoffEdit, _resolutionEdit, _scene, _sharpenEdit, _tileSizeEdit, _windAngleEdit, _windSpeedEdit, SeDeepWaterParams::amplitude, SeDeepWaterParams::directionalFactorExponent, SeDeepWaterParams::directionalReflectionDamping, SeDeepWaterParams::flowDirection, SeDeepWaterParams::lengthCutoff, SeDeepWaterParams::resolution, DeepWaterScene::setParams(), SeDeepWaterParams::sharpen, SeDeepWaterParams::tileSize, SeDeepWaterParams::windAngle, and SeDeepWaterParams::windSpeed.

Referenced by DeepWaterControl::DeepWaterControl().

## ◆ sharpenChanged

void ExprDeepWater::sharpenChanged | ( |  | ) |
| slot

Definition at line 451 of file ExprDeepWater.cpp.

References _sharpenEdit, and sharpenChangedSignal().

Referenced by ExprDeepWater().

## ◆ sharpenChangedSignal

void ExprDeepWater::sharpenChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprDeepWater(), and sharpenChanged().

## ◆ tileSizeChanged

void ExprDeepWater::tileSizeChanged | ( |  | ) |
| slot

Definition at line 414 of file ExprDeepWater.cpp.

References _tileSizeEdit, and tileSizeChangedSignal().

Referenced by ExprDeepWater().

## ◆ tileSizeChangedSignal

void ExprDeepWater::tileSizeChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprDeepWater(), and tileSizeChanged().

## ◆ windAngleChanged

void ExprDeepWater::windAngleChanged | ( |  | ) |
| slot

Definition at line 429 of file ExprDeepWater.cpp.

References _windAngleEdit, and windAngleChangedSignal().

Referenced by ExprDeepWater().

## ◆ windAngleChangedSignal

void ExprDeepWater::windAngleChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprDeepWater(), and windAngleChanged().

## ◆ windSpeedChanged

void ExprDeepWater::windSpeedChanged | ( |  | ) |
| slot

Definition at line 434 of file ExprDeepWater.cpp.

References _windSpeedEdit, and windSpeedChangedSignal().

Referenced by ExprDeepWater().

## ◆ windSpeedChangedSignal

void ExprDeepWater::windSpeedChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprDeepWater(), and windSpeedChanged().

## Member Data Documentation

## ◆ _amplitudeEdit

DeepWaterLineEdit* ExprDeepWater::_amplitudeEdit
| private

Definition at line 286 of file ExprDeepWater.h.

Referenced by amplitudeChanged(), ExprDeepWater(), and setParams().

## ◆ _directionalFactorExponentEdit

DeepWaterLineEdit* ExprDeepWater::_directionalFactorExponentEdit
| private

Definition at line 290 of file ExprDeepWater.h.

Referenced by directionalFactorExponentChanged(), ExprDeepWater(), and setParams().

## ◆ _directionalReflectionDampingEdit

DeepWaterLineEdit* ExprDeepWater::_directionalReflectionDampingEdit
| private

Definition at line 291 of file ExprDeepWater.h.

Referenced by directionalReflectionDampingChanged(), ExprDeepWater(), and setParams().

## ◆ _flowDirectionEdit

DeepWaterLineEdit* ExprDeepWater::_flowDirectionEdit
| private

Definition at line 289 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), flowDirectionChanged(), and setParams().

## ◆ _lengthCutoffEdit

DeepWaterLineEdit* ExprDeepWater::_lengthCutoffEdit
| private

Definition at line 285 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), lengthCutoffChanged(), and setParams().

## ◆ _resolutionEdit

DeepWaterLineEdit* ExprDeepWater::_resolutionEdit
| private

Definition at line 283 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), resolutionChanged(), and setParams().

## ◆ _scene

DeepWaterScene* ExprDeepWater::_scene

Definition at line 255 of file ExprDeepWater.h.

Referenced by DeepWaterControl::deepWaterChanged(), DeepWaterControl::DeepWaterControl(), ExprDeepWater(), and setParams().

## ◆ _sharpenEdit

DeepWaterLineEdit* ExprDeepWater::_sharpenEdit
| private

Definition at line 292 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), setParams(), and sharpenChanged().

## ◆ _tileSizeEdit

DeepWaterLineEdit* ExprDeepWater::_tileSizeEdit
| private

Definition at line 284 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), setParams(), and tileSizeChanged().

## ◆ _windAngleEdit

DeepWaterLineEdit* ExprDeepWater::_windAngleEdit
| private

Definition at line 287 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), setParams(), and windAngleChanged().

## ◆ _windSpeedEdit

DeepWaterLineEdit* ExprDeepWater::_windSpeedEdit
| private

Definition at line 288 of file ExprDeepWater.h.

Referenced by ExprDeepWater(), setParams(), and windSpeedChanged().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.cpp